Last Comment Bug 328081 - Support unification of bdate for multi-project builds
: Support unification of bdate for multi-project builds
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 11:52 PST by Mark Mentovai
Modified: 2006-02-27 10:35 PST (History)
2 users (show)
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
MOZ_UNIFY_BDATE (2.21 KB, patch)
2006-02-21 11:56 PST, Mark Mentovai
benjamin: review+
Details | Diff | Review
As checked in (2.19 KB, patch)
2006-02-21 12:56 PST, Mark Mentovai
benjamin: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Review

Description Mark Mentovai 2006-02-21 11:52:49 PST
Follow-up to bug 327823.

We need a way to set the bdate once to a single value that will be used for all projects in a multi-project build.  The architecture-specific halves of Mac universal binaries are built in multi-project builds and must have the same bdate.
Comment 1 Mark Mentovai 2006-02-21 11:56:05 PST
Created attachment 212622 [details] [diff] [review]
MOZ_UNIFY_BDATE
Comment 2 Benjamin Smedberg [:bsmedberg] 2006-02-21 12:38:37 PST
Comment on attachment 212622 [details] [diff] [review]
MOZ_UNIFY_BDATE

I would generally prefer

ifdef MOZ_UNIFY_BDATE
ifndef MOZ_BUILD_DATE
ifdef MOZ_BUILD_PROJECTS
...
endif
endif
endif

For readability. With that change r=me
Comment 3 Mark Mentovai 2006-02-21 12:56:31 PST
Created attachment 212630 [details] [diff] [review]
As checked in

Addresses the review comments.
Comment 4 Daniel Veditz [:dveditz] 2006-02-21 15:30:45 PST
Comment on attachment 212630 [details] [diff] [review]
As checked in

approved for 180 branch, a=dveditz for drivers
Comment 5 Mark Mentovai 2006-02-21 20:11:29 PST
Holding branch checkins for landing of dependency, bug 327823 (which is waiting on bug 307311).
Comment 6 Mark Mentovai 2006-02-22 10:43:51 PST
Checked in on trunk, 1.8, and 1.8.0 branches.

Note You need to log in before you can comment on or make changes to this bug.